/*
 *  GONEConnection.cpp
 *  
 *
 *  Created by Jan Demter on 08.01.06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include <string.h>
#include <time.h>
#include "GONEConnection.h"

GONEConnection::GONEConnection(unsigned int s, unsigned int d, unsigned char si){
	
	src = s;
	dst = d;
	sid = si;
	timestamp = time(NULL);
	buffer_length = 0;
	used = false;
	ready = false;
	next_cap = -1;
	
}
unsigned char * GONEConnection::getHashKey(int * length){
	
	unsigned char * buf = new unsigned char[2 * 4+1];
	
	int i = 0;
	memcpy(buf+i, &src, 4);
	i += 4;
	memcpy(buf+i, &dst, 4);
	i += 4;
	memcpy(buf+i, &sid, 1);
	i += 1;
	
	*length = i;
	return buf;
}

int GONEConnection::compareTo(GONEConnection * other)
{
	if (dst != other->dst)
		return 1;
	else if (src != other->src)
		return 2;
	else if (sid != other->sid)
		return -1;
	else
		return 0;
}
