/*
 *  GONEConnection.h
 *  
 *
 *  Created by Jan Demter on 08.01.06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include <time.h>

#define MAX_BUF_LEN 2048

class GONEConnection{
	
public:
	GONEConnection(unsigned int src, unsigned int dst, unsigned char sid);
	unsigned int src;
	unsigned int dst; 
	unsigned char sid;
	bool used;
	bool ready;
	time_t timestamp;
	unsigned int capabilities[16];
	short next_cap;
	char buffer[MAX_BUF_LEN];
	unsigned int buffer_length;
	unsigned char * getHashKey(int * length);
	int compareTo(GONEConnection * other);
};
