/*
 *  GONEConnectionCapability.cpp
 *  
 *
 *  Created by Jan Demter on 07.01.06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include <string.h>
#include <time.h>
#include "GONEConnectionCapability.h"

GONEConnectionCapability::GONEConnectionCapability(unsigned int s, unsigned int d, unsigned int c){
	
	src = s;
	dst = d;
	cap = c;
	timestamp = time(NULL);
	
}
unsigned char * GONEConnectionCapability::getHashKey(int * length){
	
	unsigned char * buf = new unsigned char[3 * 4];
	
	int i = 0;
	memcpy(buf+i, &src, 4);
	i += 4;
	memcpy(buf+i, &dst, 4);
	i += 4;
	memcpy(buf+i, &cap, 4);
	i += 4;
	
	*length = i;
	return buf;
}

int GONEConnectionCapability::compareTo(GONEConnectionCapability * other)
{
	if (dst != other->dst)
		return 1;
	else if (src != other->src)
		return 2;
	else if (cap != other->cap)
		return -1;
	else
		return 0;
}
